# Command Line Usage

Grails incorporates the powerful build system Gant, which is a Groovy wrapper around Apache Ant. bootstrap

The basic usage scenario is:

    grails [environment]* [command name]

Grails will search for Gant scripts that match the given name in the following locations:

- USER_HOME/.grails/scripts
- PROJECT_HOME/scripts
- PROJECT_HOME/plugins/*/scripts
- GRAILS_HOME/scripts

If Grails discovers multiple commands matching the name entered it will offer you a choice as to which one to execute.

To specify an alternative environment to execute a particular command within you can specify an optional environment parameter either with one of the built in environments:

    grails dev run-app
    grails prod run-app

Or using an argument

    grails -Dgrails.env=uat run-app

Refer to the user guide section on The Command Line for more information.